/*
 * Copyright 2019 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase.knowledge.branch;

import java.util.HashMap;
import java.util.Map;

/**
 * {@link IfThenElse} enumeration contains two situations: {@code THEN} and {@code ELSE}.
 *
 * @author <a href="mailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public enum IfThenElse {
  THEN,
  ELSE;

  private static final Map<String, IfThenElse> names;

  static {
    names = new HashMap<String, IfThenElse>();
    for (final IfThenElse exception : values()) {
      names.put(exception.name(), exception);
    }
  }

  public static IfThenElse get(final String name) {
    return names.get(name.toUpperCase());
  }
}
