/*
 * Copyright 2014 ISP RAS (http://www.ispras.ru), UniTESK Lab (http://www.unitesk.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */

package ru.ispras.testbase.knowledge.floating.sub;

import org.junit.Test;

import ru.ispras.testbase.knowledge.floating.FpExceptionGeneratorTestCaseBase;
import ru.ispras.testbase.knowledge.floating.FpFormat;

/**
 * Unit tests for {@link FpSubExceptionGenerator}.
 *
 * @author <a href="mailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class FpSubExceptionGeneratorTestCase extends FpExceptionGeneratorTestCaseBase {
  private void runTestAdd(final FpFormat format) {
    runTest(new FpSubExceptionGenerator(format));
  }

  @Test
  public void runTestSubSingle() {
    runTestAdd(FpFormat.SINGLE);
  }

  @Test
  public void runTestSubDouble() {
    runTestAdd(FpFormat.DOUBLE);
  }
}
